#include <SPI.h>
#include <Adafruit_GFX.h>
#include <Adafruit_ILI9341.h>

#define TFT_CS D0  //for D1 mini or TFT I2C Connector Shield (V1.1.0 or later)
#define TFT_DC D8  //for D1 mini or TFT I2C Connector Shield (V1.1.0 or later)
#define TFT_RST D1 //for D1 mini or TFT I2C Connector Shield (V1.1.0 or later)
#define TS_CS D3   //for D1 mini or TFT I2C Connector Shield (V1.1.0 or later)

Adafruit_ILI9341 tft = Adafruit_ILI9341(TFT_CS, TFT_DC, TFT_RST);

#include <DHT.h>
#define DHTTYPE DHT11
#define DHTPIN D4
DHT dht(DHTPIN, DHTTYPE);

void setup()
{
  Serial.begin(115200);
  delay(10);
  dht.begin();

  tft.begin();
  tft.fillScreen(ILI9341_BLACK);
  tft.setRotation(3);
  tft.setCursor(0, 0);
  tft.setTextColor(ILI9341_RED);
  tft.setTextSize(3);
  tft.println(" WWW.ADRIROBOT.IT");
  tft.println();
  tft.setTextSize(2);
  tft.setTextColor(ILI9341_GREEN);
  tft.println("    Uso sensore DHT 11");
  tft.println();
  tft.setTextColor(ILI9341_YELLOW);
}

void loop(void)
{
  int h = dht.readHumidity();
  int t = dht.readTemperature();
  if (isnan(h) || isnan(t))
  {
    Serial.println("Fallito lettura dati da sensore DHT!");
    return;
  }
  tft.fillRect(0,80, 240, 40, ILI9341_BLACK);
  tft.setCursor(0, 80);
  tft.print("Temperatura: ");
  tft.print(t);
  tft.println(" C");
  tft.print("Umidita'   : ");
  tft.print(h);
  tft.println(" %");
  delay (1000);
}
